<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 11/6/2018
 * Time: 9:46 PM
 */
include '../comun/validarSesion.php';

if (isset($_REQUEST['token']) && isset($_REQUEST['idcondominio'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){

        $condominio = $_REQUEST['idcondominio'];
        $usuarios = R::findAll('usuario', 'condominio_id =:condominio AND tipo_usuario =:tipo_usuario AND estado =:estado', array('condominio' => $condominio, 'tipo_usuario' => '3', 'estado' => '1'));
        foreach ($usuarios as $valor) {
            unset($valor['clave']);
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($usuarios));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}